<?
namespace admin\controls;

class TranslationManager
{
	public function getContent()
	{
		global $user;

    if ( isset( $user ) && is_object( $user ) && $user -> get_login() == 'vampirius' )
    {
      $rw = \System::formGet( 'rw' );

      if ( $rw == 'edit' )
        return \admin\view\TranslationManager::edit( \System::formGetInt( 'id' ) );
      if ( $rw == 'add' )
        return \admin\view\TranslationManager::edit();
      if ( $rw == 'del' )
        \admin\factory\TranslationManager::delete( \System::formGetInt( 'id' ) );
      return \admin\view\TranslationManager::show();
    }
    else
      header( 'Location: ./?page_type=change_log' );
	}
}
?>